Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.vistech.jai.util
Class JAIImageUtil

    java.lang.Object
      |
      +--com.vistech.jai.util.JAIImageUtil

public class JAIImageUtil
extends java.lang.Object

A utility class that has static methods to read images from a jar file.

Version:
  1.0 21 Jan 2000
Author:
  Lawrence Rodrigues

Constructor Summary
`JAIImageUtil()`

Method Summary
`static boolean` | `compareFileNames(java.lang.String name, java.lang.String[] filelist)` Filters file names.
`static boolean` | `filterFileNames(java.lang.String name, java.lang.String[] filter)` Filters file names.
`static boolean` | `isImage(java.lang.String fl)`
`static java.awt.Image` | `readImage(java.lang.String jarpath, java.lang.String filename)`
`static java.awt.Image[]` | `readImages(java.io.InputStream is)` Reads images from a jar file.
`static java.awt.Image[]` | `readImages(java.util.jar.JarFile jarfile, java.lang.String[] filelist)`
`static java.awt.Image[]` | `readImages(java.lang.String jarpath)` Reads images from a jar file.
`static java.awt.Image[]` | `readImages(java.lang.String jarpath, java.lang.String[] filelist)`
`static javax.media.jai.PlanarImage` | `readJAIImage(java.lang.String jarpath, java.lang.String filename)`
`static javax.media.jai.PlanarImage[]` | `readJAIImages(java.lang.String jarpath, java.lang.String[] filelist)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### JAIImageUtil

    public JAIImageUtil()

Method Detail

### filterFileNames

    public static boolean filterFileNames(java.lang.String name,
                                          java.lang.String[] filter)

  Filters file names.
  Parameters:
    `name` - the file name.
    `filter` - an array of file name extensions

### isImage

    public static boolean isImage(java.lang.String fl)

### compareFileNames

    public static boolean compareFileNames(java.lang.String name,
                                           java.lang.String[] filelist)

  Filters file names.
  Parameters:
    `name` - the file name.
    `filter` - an array of file name extensions

### readImages

    public static java.awt.Image[] readImages(java.lang.String jarpath)

  Reads images from a jar file.
  Parameters:
    `jarpath` - the complete path of the jar file including its name.
  Returns:
    an array of images.

### readImages

    public static java.awt.Image[] readImages(java.io.InputStream is)

  Reads images from a jar file.
  Parameters:
    `jarpath` - the complete path of the jar file including its name.
  Returns:
    an array of images.

### readImages

    public static java.awt.Image[] readImages(java.lang.String jarpath,
                                              java.lang.String[] filelist)

### readJAIImages

    public static javax.media.jai.PlanarImage[] readJAIImages(java.lang.String jarpath,
                                                              java.lang.String[] filelist)

### readJAIImage

    public static javax.media.jai.PlanarImage readJAIImage(java.lang.String jarpath,
                                                           java.lang.String filename)

### readImage

    public static java.awt.Image readImage(java.lang.String jarpath,
                                           java.lang.String filename)

### readImages

    public static java.awt.Image[] readImages(java.util.jar.JarFile jarfile,
                                              java.lang.String[] filelist)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD